Skip to main content
POST
Create Or Verify User

Query Parameters

signup_token
string | null

Body

application/json
email
string<email>
required
first_name
string | null
default:""
last_name
string | null
default:""
auth_method
enum<string>
default:email
Available options:
email,
google,
github,
okta,
azure-ad,
custom,
saml,
invite
role
enum<string>
default:read_only
Available options:
admin,
manager,
user,
read_only
email_is_verified
boolean | null
default:false
password
string<password> | null

Response

Successful Response

id
string<uuid4>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
email
string
required
status
enum<string>
required
Available options:
requested,
invited,
enabled,
disabled
role
enum<string>
required
Available options:
system_admin,
system_user
auth_method
string
required
first_name
string | null
last_name
string | null
email_is_verified
boolean | null